Create placement
curl --request POST \
--url https://reservation.nks.europe-west4.nscale.com/api/v2/placements \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"metadata": {
"name": "training-workers",
"description": "Host placement for a training job",
"tags": [
{
"name": "workload",
"value": "training"
}
]
},
"spec": {
"reservationId": "a64f9269-36e0-4312-b8d1-52d93d569b7b",
"networkId": "61f0ad85-3001-41cb-824a-e6a047668dfe",
"serverSpec": {
"imageId": "ubuntu-24.04",
"sshCertificateAuthorityId": "00de8f3c-77d6-424a-93c3-baf9153c7f21",
"networking": {
"securityGroups": [
"7ddfdbf0-bdbf-4630-9220-f1e6876f2dd0"
]
}
},
"count": 8,
"constraints": {
"policy": "spread",
"maxSkew": 1,
"minDomains": 3,
"whenUnsatisfiable": "fail"
}
}
}
'import requests
url = "https://reservation.nks.europe-west4.nscale.com/api/v2/placements"
payload = {
"metadata": {
"name": "training-workers",
"description": "Host placement for a training job",
"tags": [
{
"name": "workload",
"value": "training"
}
]
},
"spec": {
"reservationId": "a64f9269-36e0-4312-b8d1-52d93d569b7b",
"networkId": "61f0ad85-3001-41cb-824a-e6a047668dfe",
"serverSpec": {
"imageId": "ubuntu-24.04",
"sshCertificateAuthorityId": "00de8f3c-77d6-424a-93c3-baf9153c7f21",
"networking": { "securityGroups": ["7ddfdbf0-bdbf-4630-9220-f1e6876f2dd0"] }
},
"count": 8,
"constraints": {
"policy": "spread",
"maxSkew": 1,
"minDomains": 3,
"whenUnsatisfiable": "fail"
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
metadata: {
name: 'training-workers',
description: 'Host placement for a training job',
tags: [{name: 'workload', value: 'training'}]
},
spec: {
reservationId: 'a64f9269-36e0-4312-b8d1-52d93d569b7b',
networkId: '61f0ad85-3001-41cb-824a-e6a047668dfe',
serverSpec: {
imageId: 'ubuntu-24.04',
sshCertificateAuthorityId: '00de8f3c-77d6-424a-93c3-baf9153c7f21',
networking: {securityGroups: ['7ddfdbf0-bdbf-4630-9220-f1e6876f2dd0']}
},
count: 8,
constraints: {policy: 'spread', maxSkew: 1, minDomains: 3, whenUnsatisfiable: 'fail'}
}
})
};
fetch('https://reservation.nks.europe-west4.nscale.com/api/v2/placements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"id": "b8ce034e-fccb-4d6c-a0e0-af3e3f346715",
"name": "training-workers",
"organizationId": "9a8c6370-4065-4d4a-9da0-7678df40cd9d",
"projectId": "e36c058a-8eba-4f5b-91f4-f6ffb983795c",
"creationTime": "2026-04-28T11:03:12Z",
"createdBy": "john.doe@example.com",
"provisioningStatus": "pending",
"healthStatus": "healthy",
"tags": [
{
"name": "workload",
"value": "training"
}
]
},
"spec": {
"count": 8,
"serverSpec": {
"imageId": "ubuntu-24.04",
"sshCertificateAuthorityId": "00de8f3c-77d6-424a-93c3-baf9153c7f21",
"networking": {
"securityGroups": [
"7ddfdbf0-bdbf-4630-9220-f1e6876f2dd0"
]
}
},
"constraints": {
"policy": "spread",
"maxSkew": 1,
"minDomains": 3,
"whenUnsatisfiable": "fail"
}
},
"status": {
"regionId": "c7568e2d-f9ab-453d-9a3a-51375f78426b",
"reservationId": "a64f9269-36e0-4312-b8d1-52d93d569b7b",
"networkId": "61f0ad85-3001-41cb-824a-e6a047668dfe",
"readyHostCount": 0
}
}{
"error": "invalid_request",
"error_description": "request body invalid",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "access_denied",
"error_description": "authentication failed",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "forbidden",
"error_description": "user credentials do not have the required privileges",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "not_found",
"error_description": "the requested resource does not exist",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "conflict",
"error_description": "a resource with the same name already exists",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "server_error",
"error_description": "failed to token claim",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}Placements
Create placement
Create a placement.
POST
/
api
/
v2
/
placements
Create placement
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
A request to create a placement.
Was this page helpful?
⌘I